version: "3.5"
services:
  drawio:
    image: jgraph/drawio
    container_name: drawio
    restart: unless-stopped
    ports:
      - 8087:8080
      - 8447:8443
    healthcheck:
      test:
        - CMD-SHELL
        - curl -f http://127.0.0.1:8080 || exit 1
      interval: 1m30s
      timeout: 10s
      retries: 5
      start_period: 10s
    labels:
      - homepage.group=Apps
      - homepage.name=draw.io
      - homepage.icon=mdi-pencil
      - homepage.description=Draw.IO Graphing (esh)
      - homepage.href=http://10.0.50.45:8087
    networks:
      - tnet
networks:
  tnet:
    name: traefik-net
    external: true
